Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.ts.lib.porting
Interface TSHttpsURLConnectionInterface

All Known Implementing Classes:
  TSHttpsURLConnection

    public interface TSHttpsURLConnectionInterface

TSHttpsURLConnection provides the HTTPS specific featurs

Method Summary
`void` | `disconnect()` Disconnect connection
`java.lang.String` | `getHeaderField(int num)` Returns the value for the nth header field.
`java.lang.String` | `getHeaderField(java.lang.String name)` Returns the value of the named header field.
`java.io.InputStream` | `getInputStream()` Returns an input stream that reads from the open connection
`java.io.OutputStream` | `getOutputStream()` Returns an Output stream that writes to the open connection
`void` | `init(java.net.URL url)` Initializes HttpsURLConnection
`void` | `setDoInput(boolean doInput)` Sets the value of the doInput field for this Connection
`void` | `setDoOutput(boolean doOutput)` Sets the value of the doOutput field for this Connection
`void` | `setRequestProperty(java.lang.String key, java.lang.String value)` Sets the general request property.
`void` | `setUseCaches(boolean usecaches)` Sets the value of the useCaches field for this Connection If the UseCaches flag on the connection is true, the connection is allowed to use whatever caches it can.

Method Detail

### setDoInput

    void setDoInput(boolean doInput)

  Sets the value of the doInput field for this Connection

  Parameters:
    `doInput` - - the new value (the default is false)

### setDoOutput

    void setDoOutput(boolean doOutput)

  Sets the value of the doOutput field for this Connection

  Parameters:
    `doOutput` - - the new value (the default is false)

### setUseCaches

    void setUseCaches(boolean usecaches)

  Sets the value of the useCaches field for this Connection If the UseCaches flag on the connection is true, the connection is allowed to use whatever caches it can. If false, caches are to be ignored. The default value is set to true

  Parameters:
    `usecaches` - - the new value (the default is true)

### setRequestProperty

    void setRequestProperty(java.lang.String key,
                            java.lang.String value)

  Sets the general request property. If a property with the key already exists, overwrite its value with the new value.

  Parameters:
    `key` - - the keyword by which the request is known
    `value` - - the value associated with it

### getHeaderField

    java.lang.String getHeaderField(java.lang.String name)

  Returns the value of the named header field. If called on a connection that sets the same header multiple times only the last value is returned.

  Parameters:
    `name` - - the name of the header field.
  Returns:
    String - the value of the named header field, or null if there is no such field in the header.

### getHeaderField

    java.lang.String getHeaderField(int num)

  Returns the value for the nth header field. It returns null if there are fewer than n fields

  Parameters:
    `num` - - Integer num
  Returns:
    String - returns the value of the nth header field

### disconnect

    void disconnect()

  Disconnect connection

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Returns an input stream that reads from the open connection

  Returns:
    InputStream - inputStream
  Throws:
    `java.io.IOException`

### getOutputStream

    java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Returns an Output stream that writes to the open connection

  Returns:
    OutputStream - OutputStream
  Throws:
    `java.io.IOException`

### init

    void init(java.net.URL url)
              throws java.io.IOException

  Initializes HttpsURLConnection

  Parameters:
    `url` - url used to open HttpsURLConnection
  Throws:
    `java.io.IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD